Use this API to add administrators to a Role.
Resource URL
https://<subdomain>.onelogin.com/api/2/roles/:id/adminsHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Content-Type required string | Set to application/json. |
Request Parameters
user_id required array | Set The request body must be the JSON array itself, for example: |
Sample Responses
- 200 OK
- 401 Unauthorized
[
{
"id": 1022743
}
]Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Add Role Administrators
curl 'https://<subdomain>.onelogin.com/api/2/roles/:id/admins' \
-X POST \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json" \
-d '[123, 456, 789]'Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.